Library Version 18.1.40

DbEnv::get_tmp_dir()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_tmp_dir()

    #include <db_cxx.h>

    int
    DbEnv::get_tmp_dir(const char **dirp);

The `DbEnv::get_tmp_dir()` method returns the database environment temporary file directory.

The `DbEnv::get_tmp_dir()` method may be called at any time during the life of the application.

The `DbEnv::get_tmp_dir()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### dirp

The `DbEnv::get_tmp_dir()` method returns a reference to the database environment temporary file directory in dirp.

### Class

DbEnv

### See Also

Database Environments and Related Methods, DbEnv::set_tmp_dir()

Prev | Up | Next
DbEnv::get_timeout() | Home | DbEnv::get_verbose()